> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the model quality metric default settings.



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml put /model-monitor/v2/api/setting/default/metric
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/setting/default/metric:
    put:
      tags:
        - DefaultSettings
      summary: Update the model quality metric default settings.
      operationId: updateMetricDefaultSettings
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/defaultSettingUpdateRequestBodyItemArray'
      responses:
        '200':
          description: Model Quality Metric Default settings updated successfully.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    defaultSettingUpdateRequestBodyItemArray:
      type: array
      items:
        $ref: '#/components/schemas/defaultSettingUpdateRequestBodyItem'
    defaultSettingUpdateRequestBodyItem:
      type: object
      required:
        - name
        - alertCondition
      properties:
        name:
          description: Name of the default setting.
          type: string
        alertCondition:
          $ref: '#/components/schemas/alertCondition'
    alertCondition:
      title: Alert Condition
      description: Condition at which alert is triggered
      type: object
      required:
        - operator
        - lower
        - upper
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lower:
          title: Lower Bound
          description: The lower bound for the condition
          type: number
        upper:
          title: Upper Bound
          description: The upper bound for the condition
          type: number
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````